ofbiz-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ruth Hoffman <rhoff...@aesolves.com>
Subject Re: How to I overcome this error?
Date Thu, 27 May 2010 11:18:04 GMT
Hi Adrian:
The first time I ran ant clean/run-install against the download it 
worked fine. Second and subsequent times I get this error. Tried 
downloading again and same thing - first time it works. 2nd and 
subsequent times it fails. Probably is the environment, but I haven't a 
clue where to look.

(Ended up just commenting out the offending lines in the code.)

Regards,
Ruth

Adrian Crum wrote:
> I spoke too soon:
>
> R9.04 ICalRecurConverter.java:298
>
> does not point to an override annotation. I ran ant clean and ant run-install using JDK
1.5 and everything worked fine. Double-check your installation.
>
> -Adrian
>
> --- On Wed, 5/26/10, Adrian Crum <adrian.crum@yahoo.com> wrote:
>
>   
>> From: Adrian Crum <adrian.crum@yahoo.com>
>> Subject: Re: How to I overcome this error?
>> To: user@ofbiz.apache.org
>> Date: Wednesday, May 26, 2010, 10:55 PM
>> Actually, this error is due to an
>> undocumented change to the compiler. I will look into it.
>>
>> -Adrian
>>
>> --- On Wed, 5/26/10, Scott Gray <scott.gray@hotwaxmedia.com>
>> wrote:
>>
>>     
>>> From: Scott Gray <scott.gray@hotwaxmedia.com>
>>> Subject: Re: How to I overcome this error?
>>> To: user@ofbiz.apache.org
>>> Date: Wednesday, May 26, 2010, 10:04 PM
>>> Hi Ruth,
>>>
>>> Sounds like some code got back ported to 9.04 that
>>>       
>> wasn't
>>     
>>> compatible with java 1.5.  Your options are to
>>>       
>> either:
>>     
>>> - use java 1.6
>>> - create a jira issue and either fix it or hope
>>>       
>> someone
>>     
>>> else does
>>> - find out who committed the code and pester them to
>>>       
>> fix
>>     
>>> it
>>>
>>> Regards
>>> Scott
>>>
>>> HotWax Media
>>> http://www.hotwaxmedia.com
>>>
>>> On 27/05/2010, at 2:14 PM, Ruth Hoffman wrote:
>>>
>>>       
>>>> Hi All:
>>>> Running ant run-install on the current stable
>>>>         
>> 9.04
>>     
>>> release I just downloaded causes this problem:
>>>       
>>>>         
>> /Users/ruthhoffman/ofbiz-release9.04_May2010/build.xml:151:
>>     
>>> The following error occurred while executing this
>>>       
>> line:
>>     
>> /Users/ruthhoffman/ofbiz-release9.04_May2010/applications/build.xml:67:
>>     
>>> The following error occurred while executing this
>>>       
>> line:
>>     
>> /Users/ruthhoffman/ofbiz-release9.04_May2010/macros.xml:27:
>>     
>>> The following error occurred while executing this
>>>       
>> line:
>>     
>> /Users/ruthhoffman/ofbiz-release9.04_May2010/applications/workeffort/build.xml:55:
>>     
>>> Compile failed; see the compiler error output for
>>>       
>> details.
>>     
>>>> Compile error:
>>>>
>>>> [javac15]
>>>>         
>> /Users/ruthhoffman/ofbiz-release9.04_May2010/applications/workeffort/src/org/ofbiz/workeffort/workeffort/ICalRecurConverter.java:298:
>>     
>>> method does not override a method from its superclass
>>>       
>>>> [javac15]     @Override
>>>>
>>>> ... 13 times over..
>>>>
>>>>
>>>> Any way to get past this?
>>>>
>>>> TIA
>>>> Ruth
>>>>
>>>>         
>>>       
>>
>>
>>     
>
>
>       
>
>   

Mime
View raw message